Skip to main content
GET
/
wallets
/
{bridgeWalletID}
/
history
Get transaction history for a Bridge Wallet
curl --request GET \
  --url https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history \
  --header 'Api-Key: <api-key>'
{
  "count": 1,
  "data": [
    {
      "id": "bwe_123",
      "bridge_wallet_id": "bw_123",
      "amount": "500.000000",
      "available_balance": "500.000000",
      "currency": "usdc",
      "type": "withdrawal",
      "source": {
        "currency": "usdc",
        "payment_rail": "ethereum"
      },
      "destination": {
        "currency": "usd",
        "payment_rail": "ach"
      },
      "payment_route": {
        "type": "transfer",
        "customer_id": "cust_123",
        "transfer_id": "transfer_123"
      },
      "created_at": "2025-01-01T00:00:00.000Z"
    }
  ]
}

Authorizations

Api-Key
string
header
required

Path Parameters

bridgeWalletID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Query Parameters

limit
integer

The number of items to return (default of 10, max of 100)

starting_after
string

This is a bridge wallet event id. If this is specified, the next page that starts with an event right AFTER the specified event id on the event timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that events older than the specified event id will be returned (shouldn't be set if ending_before is set)

ending_before
string

This is a bridge wallet event id. If this is specified, the previous page that ends with an event right BEFORE the specified event id on the event timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that events newer than the specified event id will be returned (shouldn't be set if starting_after is set)

starting_time
string

The inclusive starting time in ISO8601 format. If specified, only Bridge Wallet history events created at or after this time are returned. Can be combined with ending_time to form a bounded time window or with an event ID cursor to paginate within the filtered results.

ending_time
string

The exclusive ending time in ISO8601 format. If specified, only Bridge Wallet history events created before this time are returned. Can be combined with starting_time to form a bounded time window or with an event ID cursor to paginate within the filtered results.

Response

List of transactions for this Bridge Wallet

count
integer
required

The number of events returned

data
object[]
required